=== debian/control ===
Source: netcdf-cxx-legacy
Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
Uploaders: Nico Schlömer <nico.schloemer@gmail.com>,
           Bas Couwenberg <sebastic@debian.org>
Section: science
Priority: optional
Build-Depends: debhelper-compat (= 12),
               libnetcdf-dev (>= 1:4.4.0),
               pkg-kde-tools,
               texinfo
Standards-Version: 4.6.1
Vcs-Browser: https://salsa.debian.org/debian-gis-team/netcdf-cxx-legacy
Vcs-Git: https://salsa.debian.org/debian-gis-team/netcdf-cxx-legacy.git
Homepage: http://www.unidata.ucar.edu/software/netcdf/
Rules-Requires-Root: no

Package: libnetcdf-c++4
Architecture: any
Section: libs
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends},
         ${misc:Depends}
Breaks: libnetcdfc++4 (<< 4.2-1~)
Replaces: libnetcdfc++4 (<< 4.2-1~)
Description: legacy NetCDF C++ interface
 NetCDF (network Common Data Form) is an interface for scientific
 data access and a freely-distributed software library that provides an
 implementation of the interface.  The netCDF library also defines a
 machine-independent format for representing scientific data.
 Together, the interface, library, and format support the creation,
 access, and sharing of scientific data.
 .
 This version of the netCDF C++ library is provided for backwards compatibility
 as a separate package. It was developed before key C++ concepts like templates,
 namespaces, and exceptions were widely supported. It's not recommended for new
 projects, but it still works. This version of the C++ interface only supports
 the "classic" data model from the netCDF-3 release.
 .
 This package contains the legacy C++ shared libraries.

Package: libnetcdf-cxx-legacy-dev
Architecture: any
Section: libdevel
Depends: libnetcdf-c++4 (= ${binary:Version}),
         libnetcdf-dev,
         ${misc:Depends}
Breaks: libnetcdf-dev (<< 1:4.3.3.1+ds-1~),
        netcdf-doc (<< 1:4.3.3.1+ds-1~)
Replaces: libnetcdf-dev (<< 1:4.3.3.1+ds-1~),
          netcdf-doc (<< 1:4.3.3.1+ds-1~)
Description: legacy NetCDF C++ interface - development files
 NetCDF (network Common Data Form) is a set of interfaces for array-oriented
 data access and a freely distributed collection of data access libraries for
 C, Fortran, C++, Java, and other languages. The netCDF libraries support a
 machine-independent format for representing scientific data. Together, the
 interfaces, libraries, and format support the creation, access, and sharing of
 scientific data.
 .
 This version of the netCDF C++ library is provided for backwards compatibility
 as a separate package. It was developed before key C++ concepts like templates,
 namespaces, and exceptions were widely supported. It's not recommended for new
 projects, but it still works. This version of the C++ interface only supports
 the "classic" data model from the netCDF-3 release.
 .
 This package contains headers for the legacy C++ library.
